html,
body {
  display: flex;
  justify-content: center;
  align-items: center;
  margin: 0;
  height: 100svh;
  width: 100%;
  padding-top: env(safe-area-inset-top);
  padding-bottom: env(safe-area-inset-bottom);
  padding-top: constant(safe-area-inset-top);
  padding-bottom: constant(safe-area-inset-bottom);
  overflow: hidden;
  font-family: "Pretendard Variable", Pretendard, -apple-system,
    BlinkMacSystemFont, system-ui, Roboto, "Helvetica Neue", "Segoe UI",
    "Apple SD Gothic Neo", "Noto Sans KR", "Malgun Gothic", "Apple Color Emoji",
    "Segoe UI Emoji", "Segoe UI Symbol", sans-serif;
  background-color: #3d3d3d;
  line-height: 130%;
}

.cache-img {
  display: none;
}

.dflex {
  display: flex;
  justify-content: center;
  align-items: center;
}

.dflexv {
  display: flex;
  justify-content: center;
  align-items: center;
  flex-direction: column;
}
.mt10 {
  margin-top: 10px;
}

.mt20 {
  margin-top: 20px;
}
.mt30 {
  margin-top: 30px;
}
.mt50 {
  margin-top: 50px;
}

.flLeft {
  float: left;
}

.gray {
  color: gray;
}
.white {
  color: white;
}
.bg_black {
  position: absolute;
  display: flex;
  justify-content: center;
  align-items: center;
  flex-direction: column;
  height: 100vh;
  width: 100%;
  color: white;
  background-color: rgba(42, 42, 42, 0.9);
  z-index: 94;
}

.bg_grey {
  position: absolute;
  display: flex;
  justify-content: center;
  align-items: center;
  flex-direction: column;
  height: 100vh;
  width: 100%;
  background-color: rgba(94, 94, 94, 0.5);
  z-index: 94;
}

.navigator {
  width: 100%;
  position: relative;
  display: flex;
  justify-content: center;
  align-items: center;
  font-size: 10pt;
  color: white;
  z-index: 1;
  background-color: black;
}

.navTitle {
  display: flex;
  justify-content: center;
  align-items: center;
  margin: 3px;
  margin-right: auto;
  margin-left: 10px;
}

.navScore {
  margin-left: auto;
  display: flex;
  justify-content: center;
  align-items: center;

  /* margin-right:5px; */
}

.spanNum {
  margin: 0 20px 0 5px;
}

@keyframes blink-effect1 {
  50% {
    filter: invert(0%);
  }
}

@keyframes blink-effect2 {
  50% {
    filter: invert(20%);
  }
}
.layerQuiz {
  position: absolute;
  display: flex;
  justify-content: center;
  align-items: center;
  flex-direction: column;
  height: 100svh;
  width: 100%;
  background-color: red;
}

.layerChoice {
  position: absolute;
  display: flex;
  justify-content: center;
  align-items: center;
  flex-direction: column;
  height: 100svh;
  width: 100%;
  background-color: blueviolet;
}

.IconSize {
  width: 25px;
  height: 25px;
}
.BigIconSize {
  width: 100px;
  height: 100px;
}

.chatBody::-webkit-scrollbar {
  display: none;
}
div {
  -ms-overflow-style: none; /* 인터넷 익스플로러 */
  scrollbar-width: none; /* 파이어폭스 */
}

.qFooter {
  position: absolute;
  bottom: 0;
  width: 100%;

  display: flex;
  justify-content: center;
  align-items: center;
  /* flex-direction: column; */
  background-color: black;
  height: 50px;
}

#btnHint {
  background-color: #a7a7a7;
  /* font-weight: bold; */
  font-size: 14px;
  border: 0;
  border-radius: 6px;
  padding: 5px 10px 5px 10px;

  cursor: pointer;
}

.qFooterAnswer {
  display: flex;
  justify-content: center;
  align-items: center;
  margin: 7px;
  /* background-color: #464646; */
  padding: 5px;
  border-radius: 15px;
  width: 100%;
}

.qAnswer {
  background-color: #464646;
  border: 0;
  color: #a7a7a7;
  margin-right: auto;
  margin-left: 5px;
  font-size: 16px;
  width: 100%;
  padding: 6px 5px 5px 8px;
  border-radius: 20px;
}

.qAnswer:focus {
  outline: none;
}

.qFooterHint {
  margin-right: auto;
  margin-left: 20px;
}

.qFooterAnswerSubmit {
  height: 20px;
  cursor: pointer;
  margin-left: 5px;
}

.divPopup {
  position: absolute;
  display: flex;
  justify-content: center;
  align-items: center;
  flex-direction: column;
  top: 30%;
  background-color: rgba(0, 0, 0, 0.7);
  border-radius: 30px;
  color: white;
  z-index: 100;
  width: 180px;
  padding: 24px 40px 24px 40px;
}

.divPadding40 {
  padding: 40px;
}

.divPadding25 {
  padding: 25px;
}

@keyframes showModal {
  0% {
    bottom: -50%;
  }
  95% {
    bottom: 0;
  }
  to {
    bottom: 0;
  }
}

@keyframes hideModal {
  0% {
    bottom: 0;
  }
  95% {
    bottom: -50%;
  }
  to {
    bottom: -50%;
  }
}

.modal-open {
  bottom: 0;
  animation-fill-mode: forwards;
  animation: showModal 1s ease-in Alternate;
}

.modal-close {
  bottom: -400px;
  animation-fill-mode: forwards;
  animation: hideModal 1s ease-in Alternate;
}

.hint_area {
  /* background-image: url('../img/memo.jpg'); */
  background-color: #141414;
  position: absolute;
  width: 70%;
  height: 35%;
  bottom: -100%;
  /* bottom:0; */
  padding: 10%;
  box-shadow: rgba(100, 100, 100, 0.5) 5px -5px 10px 5px;
  border-top-left-radius: 15px;
  border-top-right-radius: 15px;
  color: white;
  z-index: 9494;
}

.hint_area_header {
  text-align: right;
  float: right;
}

.hint_area_body {
  margin-top: 30px;
  margin-bottom: 30px;
}
.hint_area_buttonArea {
  color: white;
  text-align: center;
  margin-top: 15px;
  cursor: pointer;
}

.hint_area_button {
  padding-top: 15px;
  padding-bottom: 15px;
}

.hintmodal-open {
  bottom: 0;
  animation-fill-mode: forwards;
  animation: showModal 0.5s ease-in Alternate;
}

.hintmodal-close {
  bottom: -50%;
  animation-fill-mode: forwards;
  animation: hideModal 0.5s ease-in Alternate;
}

#nextHintBtn {
  background-color: rgb(62, 123, 255);
}

.endBtn {
  padding: 30px;
  width: 80%;
}
.otherEndBtn {
  padding-top: 15px;
  padding-bottom: 15px;
  background-color: rgb(62, 123, 255);
  color: white;
  text-align: center;
  cursor: pointer;
}

.otherEndMsg {
  margin-top: 10px;
  color: gray;
  font-size: 11pt;
}
